%define name	libcdaudio
%define version	0.99.12
%define release %mkrel 4

%define major 1
%define libname %mklibname cdaudio %{major}
%define develname %mklibname cdaudio -d


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A library for controlling CD-ROM devices
License:	GPL
Group:		Sound
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}-config
Patch0:		%{name}-0.99.10.config.patch
Patch1:		%{name}-0.99-CAN-2005-0706.patch
Patch2:		%{name}-0.99.12-buffovfl.patch
URL:		http://libcdaudio.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}
Provides:	%{name}%{major}
Obsoletes:	%{name}%{major}

%description
libcdaudio is a library for controlling CD-ROM devices

%package -n %libname
Group:		System/Libraries
Summary:	A library for controlling CD-ROM devices

%description -n %libname
libcdaudio is a library for controlling CD-ROM devices

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%release
Provides:	libcdio-devel = %{version}-%release
Obsoletes:      %{_lib}cdaudio1-devel

%description -n %{develname}
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0

cp %{SOURCE1} cdserver

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall
chmod 644 %{buildroot}%{_libdir}/libcdaudio.la

install -d -m 755 %{buildroot}/%{_sysconfdir}
install -m 644 cdserver %{buildroot}/%{_sysconfdir}

%multiarch_binaries %buildroot%_bindir/libcdaudio-config

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr (-,root,root)
%doc README NEWS AUTHORS COPYING ChangeLog
%{_sysconfdir}/cdserver
%{_libdir}/lib*.so.*

%files -n %{develname}
%defattr (-,root,root)
%_bindir/libcdaudio-config
%multiarch %_bindir/*/libcdaudio-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/libcdaudio.pc

%changelog
* Tue Jun 15 2010 Texstar <texstar at gmail.com> 0.99.12-4pclos2010
- update for 2010 release

